View Issue Details

IDProjectCategoryView StatusLast Update
0000536WishesPanelpublic2013-02-03 00:33
Reporterspamik Assigned ToDrKnS  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Fixed in Version3.0 
Summary0000536: Дополнительный режим файловой панели (like DN)
DescriptionДобавить режим отображения файлов в панели при котором длинные файлы урезаются таким образом, что бы расширение файла оставалось:

│.. │
│Calculator rar│
│Visual Studio }iso│
│Эти забавные ж}avi│
│ │
Additional Informationhttp://forum.farmanager.com/viewtopic.php?f=6&t=3325
TagsNo tags attached.
Build2139

Activities

spamik

2008-05-22 07:26

reporter   bugnote:0001513

Детали:

1. Режим задается дополнительным флагом E для N (от Extension или Extended :wink: ). Т.е. включается для колонок "NE".
2. Режим работает независимо от состояния опции "Align file extensions"
3. Прокрутка (alt+left/right) работает так же как раньше (т.е. началась прокрутка - забыли про этот новый режим...)
4. Максимальная длина поля под расширение задается techinfo.
5. Если длина расширения превышает максимальную заданную techinfo, то остальная часть обрезается подобно имени: "longfilena}longex}"

vskirdin

2008-06-04 13:56

administrator   bugnote:0001546

Это последняя спецификация? вроде на форуме доооолго обжевывали.

spamik

2008-06-09 14:38

reporter   bugnote:0001568

Да. Обжевывали долго, но здесь собраны наиболее здравые решения... Этот список небыл опровергнут форумчанами.

samlyukov

2011-08-08 12:18

reporter   bugnote:0007428

Last edited: 2011-08-08 12:28

View 4 revisions

фар 3.0.2139.
т.к. http://bugs.farmanager.com/view.php?id=1589 закрыли, напишем здесь, мне не нравится, что расширением считается вся строка, что после последней точки, думаю что нужно еще сделать проверку на длину расширения в 4 символа, и если больше - прикреплять к имени,тут нет расширения.

и возможно лучше будет по умолчанию прижимать расширения в колонке Х к правому краю.

upd. даже не возможно, а точно лучше.

DrKnS

2011-08-08 12:29

administrator   bugnote:0007429

> нужно еще сделать проверку на длину расширения в 4 символа, и если больше - прикреплять к имени,тут нет расширения.

Лол.
*.torrent, *.vcproj, *.manifest, *.config - это, оказывается, не расширения.
Буду знать.

Issue History

Date Modified Username Field Change
2008-05-20 11:39 spamik New Issue
2008-05-22 07:26 spamik Note Added: 0001513
2008-06-04 13:56 vskirdin Note Added: 0001546
2008-06-09 14:38 spamik Note Added: 0001568
2011-08-08 12:18 samlyukov Note Added: 0007428
2011-08-08 12:26 samlyukov Note Edited: 0007428 View Revisions
2011-08-08 12:27 samlyukov Note Edited: 0007428 View Revisions
2011-08-08 12:28 samlyukov Note Edited: 0007428 View Revisions
2011-08-08 12:29 DrKnS Build => 2139
2011-08-08 12:29 DrKnS Note Added: 0007429
2011-08-08 12:29 DrKnS Status new => closed
2011-08-08 12:29 DrKnS Assigned To => DrKnS
2011-08-08 12:29 DrKnS Resolution open => fixed
2011-08-08 12:29 DrKnS Fixed in Version => 3.0
2013-02-03 00:33 alexy Severity minor => feature